Name:           ocaml-ulex
Version:        1.1
Release:        %mkrel 10
Summary:        A lexer generator for Unicode and OCaml
URL:            http://www.cduce.org/
Source0:        http://www.cduce.org/download/ulex-%{version}.tar.bz2
Patch0:         ocaml-ulex-1.0.install_flags.patch
License:        GPL
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  camlp4
BuildRequires:  ocaml-findlib
Requires:       camlp4

%description
ulex is a lexer generator for Unicode and OCaml written by Alain Frisch.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n ulex-%{version}
%patch0 -p1 -b .install_flags

%build
make all all.opt
mkdir doc && ocamldoc -html ulexing.mli -d doc

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/ocaml
make install OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml

%files
%doc CHANGES README LICENSE
%dir %{_libdir}/ocaml/ulex
%{_libdir}/ocaml/ulex/*.cmi
%{_libdir}/ocaml/ulex/*.cma
%{_libdir}/ocaml/ulex/META

%files devel
%doc doc/
%{_libdir}/ocaml/ulex/*.a
%{_libdir}/ocaml/ulex/*.cmx
%{_libdir}/ocaml/ulex/*.cmxa
%{_libdir}/ocaml/ulex/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1-10.mga3
+ Revision: 361674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.1-9.mga3
+ Revision: 343669
- rebuild for new ocaml
- drop buildrequires to mysql-devel

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1-8.mga3
+ Revision: 301418
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1-6.mga3
+ Revision: 300580
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 1.1-5.mga3
+ Revision: 279532
- added the ocamldoc html api documentation

* Sun Apr 22 2012 malo <malo> 1.1-4.mga2
+ Revision: 232703
- add missing requires to camlp4

* Fri Apr 13 2012 blue_prawn <blue_prawn> 1.1-3.mga2
+ Revision: 230617
- Imported package from Mandriva

